Множественные уязвимости в WordPress Mingle Forum

Дата публикации:
28.02.2013
Дата изменения:
28.02.2013
Всего просмотров:
2977
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
6
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
CVE ID:
CVE-2013-0734
CVE-2013-0735
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress Mingle Forum Plugin 1.x
Уязвимые версии: WordPress Mingle Forum 1.0.33.3, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "search_words" в сценарии index.php (когда параметр "page_id" равен легитимному идентификатору страницы форума, а "mingleforumaction" равен "search") в wp-content/plugins/mingle-forum/wpf.class.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "togroupusers" в сценарии wp-admin/admin.php (когда параметр "page" равен "mfgroups", "usergroup" легитимному идентификатору группы, а "add_user_togroup" установлен) в wp-content/plugins/mingle-forum/fs-admin/fs-admin.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии index.php (когда параметр "page_id" легитимному идентификатору страницы форума, "mingleforumaction" равен "viewtopic", "t" равен, к примеру, "1.0", а "remove_post" установлен) в wp-content/plugins/mingle-forum/wpf.class.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

4. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии index.php (когда параметр "page_id" легитимному идентификатору страницы форума, "mingleforumaction" равен "viewtopic", "t" равен, к примеру, "1.0", а "sticky" установлен) в wp-content/plugins/mingle-forum/wpf.class.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

5. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии index.php (когда параметр "page_id" легитимному идентификатору страницы форума, "mingleforumaction" равен "viewtopic", "t" равен, к примеру, "1.0", а "closed" установлен) в wp-content/plugins/mingle-forum/wpf.class.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

6. Уязвимость существует из-за недостаточной обработки входных данных в параметре "thread" в сценарии index.php (когда параметр "page_id" легитимному идентификатору страницы форума, а "mingleforumaction" равен "postreply") в wp-content/plugins/mingle-forum/wpf.class.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: http://wordpress.org/extend/plugins/mingle-forum/

Решение: Установите последнюю версию 1.0.34 с сайта производителя.

Ссылки: http://secunia.com/secunia_research/2013-3/
http://secunia.com/secunia_research/2013-4/

или введите имя

CAPTCHA